# $Revision: 1.9 $, $Date: 2006/05/23 20:18:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		I18N
%define		_subclass	UnicodeString
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - provides a way to work with self contained multibyte strings
Summary(pl):	%{_pearname} - sposb pracy z samodzielnymi acuchami znakw wielobajtowych
Name:		php-pear-%{_pearname}
Version:	0.2.1
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	47a200e64e63dea632969015d512c0b6
URL:		http://pear.php.net/package/I18N_UnicodeString/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a method of storing and manipulating multibyte strings in PHP
without using ext/mbstring. Also allows conversion between various
methods of storing Unicode in 1-byte strings like UTF-8 and HTML
entities.

In PEAR status of this package is: %{_status}.

%description -l pl
Ta klasa dostarcza metod zapisu i obrbki acuchw znakw
wielobajtowych w PHP bez uywania rozszerzenia mbstring. Umoliwia
take konwersj midzy rnymi metodami zapisu Unikodu w acuchach
znakw jednobajtowych, takich jak UTF-8 czy encje HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-I18N_UnicodeString.spec,v $
Revision 1.9  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.8  2006/04/24 09:17:56  adamg
- updated to 0.2.1

Revision 1.7  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.6  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.5  2005/09/27 21:39:45  glen
- rel 3

Revision 1.4  2005/09/27 19:59:30  glen
- new pear packaging (fixed %files); rel 2

Revision 1.3  2004/12/03 22:17:02  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.2  2004/09/05 16:05:57  qboosh
- pl

Revision 1.1  2004/09/04 14:22:42  adamg
- new
